Bug 985729 - Emacs -mm doesn't work
Emacs -mm doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 02:03 EDT by Martin Vala
Modified: 2013-08-11 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: emacs-24.3-10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-11 14:31:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vala 2013-07-18 02:03:58 EDT
Hi All,

when i start 'emacs -mm' it should start maximized and it doesn't work on fedora 19. It was working correctly on fedora 18.

emacs.x86_64 1:24.2-20.fc19

How reproducible:


Steps to Reproduce:
1. emacs -mm
2.
3.

Actual results:
emacs is not maximized

Expected results:
emacs is maximized


Additional info:
Comment 1 Petr Hracek 2013-08-06 02:34:53 EDT
with the current emacs version all works properly.

emacs-24.3-9.fc19.x86_64
emacs-filesystem-24.3-9.fc19.noarch
emacs-common-24.3-9.fc19.x86_64

Update your system and let me know whether it is working
on your desktop too.

If yes I will close that BZ
Comment 2 Martin Vala 2013-08-06 02:45:26 EDT
Ahoj Petr,

Not it doesn't work

[root@vala ~]# yum install emacs
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Package 1:emacs-24.3-9.fc19.x86_64 already installed and latest version
Nothing to do
[root@vala ~]# logout
mvala@vala ~ $ emacs -mm

and as you can see it doesn't produce any error.

Here is output from emacs "Messages"

Loading /usr/share/emacs/site-lisp/site-start.d/auto-complete-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/desktop-entry-mode-init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.


Ciao

Martin
Comment 3 Petr Hracek 2013-08-06 03:00:37 EDT
Well, when I run emacs from terminal like emacs -mm
then I see:

phracek@KIASPORTYW ~> emacs -mm
phracek@KIASPORTYW ~> 

It seems like it is relevant to Window Manager.
What type of manager are you using Gnome, KDE?
Comment 4 Martin Vala 2013-08-06 03:16:08 EDT
I use GNOME

Ciao

Martin
Comment 5 Petr Hracek 2013-08-06 09:52:12 EDT
Ahoj Martin,

Hmm, I used cinnammon and it works perfectly.
When I used Gnome then it is not maximizes.

I will solve that as soon as possible.

Ciao 
Petr
Comment 6 Martin Vala 2013-08-07 02:17:52 EDT
Nazdar Petr,

Thanks

Ciao

Martin
Comment 7 Petr Hracek 2013-08-09 08:10:20 EDT
Finally with the help of upstream I have patch.

scm-commit (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130805/1088712.html) -> MODIFIED
Comment 8 Fedora Update System 2013-08-09 08:39:45 EDT
emacs-24.3-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emacs-24.3-10.fc19
Comment 9 Fedora Update System 2013-08-09 23:59:26 EDT
Package emacs-24.3-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-24.3-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14563/emacs-24.3-10.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-11 14:31:49 EDT
emacs-24.3-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.